Bug 61026 - Segfault in glBitmap when called with PBO source
Segfault in glBitmap when called with PBO source
Product: Mesa
Classification: Unclassified
Component: Mesa core
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: mesa-dev
Depends on:
  Show dependency treegraph
Reported: 2013-02-17 19:56 UTC by Lars Kanis
Modified: 2013-02-19 14:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:

Test program to reproduce the segfault (921 bytes, text/plain)
2013-02-17 19:56 UTC, Lars Kanis
GDB backtrace (2.26 KB, text/plain)
2013-02-17 19:59 UTC, Lars Kanis
Proposed patch (592 bytes, patch)
2013-02-17 20:00 UTC, Lars Kanis
Details | Splinter Review
Fixed test program. (951 bytes, text/plain)
2013-02-18 15:41 UTC, Brian Paul

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Kanis 2013-02-17 19:56:28 UTC
Created attachment 75004 [details]
Test program to reproduce the segfault

When glBitmap is called with a GL_PIXEL_UNPACK_BUFFER target, it segfaults in accum_bitmap().
Comment 1 Lars Kanis 2013-02-17 19:59:11 UTC
Created attachment 75005 [details]
GDB backtrace
Comment 2 Lars Kanis 2013-02-17 20:00:09 UTC
Created attachment 75006 [details] [review]
Proposed patch
Comment 3 Brian Paul 2013-02-18 15:40:30 UTC
OK, I've found/fixed the problem.  Your patch was incorrect.  And your test program has a few bugs too (I'll attach a fixed version).

After the patch has been reviewed I'll commit it.  Thanks for the test program!
Comment 4 Brian Paul 2013-02-18 15:41:00 UTC
Created attachment 75047 [details]
Fixed test program.
Comment 5 Brian Paul 2013-02-19 14:29:54 UTC
Fixed with commit 63c30d7e4fd9676c72d5d94640e1e136bd9dd09f